Index: main/waeup.aaua/branches/henrik-diazo-themed/src/waeup/aaua/browser/resources.py
===================================================================
--- main/waeup.aaua/branches/henrik-diazo-themed/src/waeup/aaua/browser/resources.py	(revision 11119)
+++ 	(revision )
@@ -1,30 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.resources import (
-    Library, ResourceInclusion, waeup_base_css,
-    )
-
-#: All local resources are registered under the name ``waeup_custom``.
-waeup_custom = Library('waeup_custom', 'static')
-
-custom_theme = ResourceInclusion(
-    waeup_custom, 'custom_theme.css',
-    depends = [waeup_base_css])
-
-favicon = ResourceInclusion(waeup_custom, 'favicon.ico')
Index: main/waeup.aaua/branches/henrik-diazo-themed/src/waeup/aaua/browser/static/custom_theme.css
===================================================================
--- main/waeup.aaua/branches/henrik-diazo-themed/src/waeup/aaua/browser/static/custom_theme.css	(revision 11119)
+++ 	(revision )
@@ -1,89 +1,0 @@
-/* Original colors, dark blue: #426ab2,light blue: #779ce2 */
-
-.topbar-inner, .topbar .fill {
-  background-color: #325088;
-  background-image: -moz-linear-gradient(center top , #082250, #325088);
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#082250), to(#325088));
-  background-image: -moz-linear-gradient(top, #082250, #325088);
-  background-image: -ms-linear-gradient(top, #082250, #325088);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #082250), color-stop(100%, #325088));
-  background-image: -webkit-linear-gradient(top, #082250, #325088);
-  background-image: -o-linear-gradient(top, #082250, #325088);
-  background-image: linear-gradient(top, #082250, #325088);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#082250', endColorstr='#325088', GradientType=0);
-}
-
-.topbar div > ul .active > a, .nav .active > a {
-  background-color: #325088;
-}
-
-.topbar h3 a:hover, .topbar .brand:hover, .topbar ul .active > a {
-  background-color: #325088;
-}
-
-.topbar div > ul a:hover, .nav a:hover {
-  background-color: #325088;
-}
-
-
-.topbar div > ul .menu-dropdown,
-.nav .menu-dropdown,
-.topbar div > ul .dropdown-menu,
-.nav .dropdown-menu {
-  background-color: #325088;
-}
-
-.topbar div > ul a.menu:hover,
-.nav a.menu:hover,
-.topbar div > ul li.open .menu,
-.nav li.open .menu,
-.topbar div > ul .dropdown-toggle:hover,
-.nav .dropdown-toggle:hover,
-.topbar div > ul .dropdown.open .dropdown-toggle,
-.nav .dropdown.open .dropdown-toggle {
-  background: #325088;
-}
-
-/* Original background color */
-/*
-body {
-  background-color: #F6F6D9;
-}
-*/
-
-body {
-  background-color: #f1f1f1;
-}
-
-.topbar div > ul .menu-dropdown li a:hover,
-.nav .menu-dropdown li a:hover,
-.topbar div > ul .dropdown-menu li a:hover,
-.nav .dropdown-menu li a:hover {
-  background-color: #082250;
-  background-repeat: repeat-x;
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#325088), to(#191919));
-  background-image: -moz-linear-gradient(top, #082250, #082250);
-  background-image: -ms-linear-gradient(top, #082250, #082250);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #082250), color-stop(100%, #082250));
-  background-image: -webkit-linear-gradient(top, #082250, #082250);
-  background-image: -o-linear-gradient(top, #082250, #082250);
-  background-image: linear-gradient(top, #082250, #082250);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#082250', endColorstr='#082250', GradientType=0);
-  color: #ffffff;
-}
-
-.topbar div > ul .menu-dropdown li a, .nav .menu-dropdown li a, .topbar div > ul .dropdown-menu li a, .nav .dropdown-menu li a {
-    color: #ffffff;
-}
-
-a {
-  color: #082250;
-}
-
-a:hover {
-  color: #325088;
-}
-
-.topbar a {
-    color: white;
-}
Index: main/waeup.aaua/branches/henrik-diazo-themed/src/waeup/aaua/browser/theming.py
===================================================================
--- main/waeup.aaua/branches/henrik-diazo-themed/src/waeup/aaua/browser/theming.py	(revision 11119)
+++ 	(revision )
@@ -1,33 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.interfaces import ITheme
-from waeup.aaua.browser.resources import custom_theme, favicon
-
-from waeup.aaua.interfaces import MessageFactory as _
-
-class CustomTheme(grok.GlobalUtility):
-    """A custom theme based on the Kofa base theme.
-    """
-    grok.implements(ITheme)
-    grok.name('custom theme')
-
-    description = _(u'AAUA Theme')
-
-    def getResources(self):
-        return [custom_theme, favicon]