Index: main/waeup.fceokene/branches/henrik-diazo-themed/CHANGES.txt
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/CHANGES.txt	(revision 11121)
+++ main/waeup.fceokene/branches/henrik-diazo-themed/CHANGES.txt	(revision 11122)
@@ -1,4 +1,8 @@
 Changes
 *******
+1.0 (unreleased)
+================
+
+* Diazofied whole package.
 
 0.2 (unreleased)
Index: main/waeup.fceokene/branches/henrik-diazo-themed/buildout-zeo.cfg
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/buildout-zeo.cfg	(revision 11121)
+++ main/waeup.fceokene/branches/henrik-diazo-themed/buildout-zeo.cfg	(revision 11122)
@@ -13,6 +13,8 @@
     site_zcml
     zdaemon_conf
-    deploy_ini
-    debug_ini
+    raw_deploy_ini
+    raw_debug_ini
+    themed_deploy_ini
+    themed_debug_ini
     profile_ini
     zeo1_ini
@@ -23,4 +25,6 @@
 # kofactl creation must be _after_ app!
     kofactl
+    lxml
+    diazo
 # For backward compatibility, telling buildout not to throw away
 # the data and log subdirectories from the parts directory.
@@ -44,5 +48,4 @@
     address ${kofa_params:server_port}
   </zeo>
-
   <blobstorage 1>
     blob-dir ${zope_conf:blobstorage}
@@ -51,9 +54,7 @@
     </filestorage>
   </blobstorage>
-
   <filestorage async>
     path ${zope_conf:filestorage}/Data.async.fs
   </filestorage>
-
   <eventlog>
     # This sets up logging to a file.
@@ -118,5 +119,5 @@
 # See http://pypi.python.org/pypi/zc.recipe.egg for details...
 recipe = zc.recipe.egg
-eggs = waeup.fceokene [beaker]
+eggs = waeup.aaua [beaker, diazo]
 arguments = "${buildout:parts-directory}/etc/zeo1.conf"
 scripts = kofactl=zeo_client1
@@ -125,5 +126,5 @@
 # See http://pypi.python.org/pypi/zc.recipe.egg for details...
 recipe = zc.recipe.egg
-eggs = waeup.fceokene [beaker]
+eggs = waeup.aaua [beaker, diazo]
 arguments = "${buildout:parts-directory}/etc/zeo2.conf"
 scripts = kofactl=zeo_client2
Index: main/waeup.fceokene/branches/henrik-diazo-themed/buildout.cfg
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/buildout.cfg	(revision 11121)
+++ main/waeup.fceokene/branches/henrik-diazo-themed/buildout.cfg	(revision 11122)
@@ -18,6 +18,8 @@
     site_zcml
     zdaemon_conf
-    deploy_ini
-    debug_ini
+    raw_deploy_ini
+    raw_debug_ini
+    themed_deploy_ini
+    themed_debug_ini
     profile_ini
     waeupdocs
@@ -26,4 +28,6 @@
 # kofactl creation must be _after_ app!
     kofactl
+    lxml
+    diazo
 # For backward compatibility, telling buildout not to throw away
 # the data and log subdirectories from the parts directory.
@@ -41,5 +45,5 @@
 
 [sources]
-waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/trunk
+waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/branches/uli-diazo-themed
 kofacustom.nigeria = svn https://svn.waeup.org/repos/main/kofacustom.nigeria/trunk
 
@@ -62,9 +66,10 @@
 # number of preopened paster threads, default 10
 threadpool_workers = 10
+devel_pkg = waeup.fceokene
 
 [app]
 # This creates all scripts in bin/. The kofactl created here is 'faulty'.
 recipe = zc.recipe.egg
-eggs = waeup.fceokene [beaker]
+eggs = waeup.fceokene [beaker, diazo]
        z3c.evalexception>=2.0
        Paste
@@ -80,5 +85,5 @@
 # fixed path to zdaemon.conf as argument.
 recipe = zc.recipe.egg
-eggs = waeup.fceokene [beaker]
+eggs = waeup.fceokene [beaker, diazo]
 arguments = "${buildout:parts-directory}/etc/zdaemon.conf"
 scripts = kofactl=kofactl
@@ -146,13 +151,23 @@
 output = ${buildout:parts-directory}/etc/zdaemon.conf
 
-[deploy_ini]
-recipe = collective.recipe.template
-input = etc/deploy.ini.in
-output = ${buildout:parts-directory}/etc/deploy.ini
-
-[debug_ini]
-recipe = collective.recipe.template
-input = etc/debug.ini.in
-output = ${buildout:parts-directory}/etc/debug.ini
+[raw_debug_ini]
+recipe = collective.recipe.template
+input = etc/raw/debug.ini.in
+output = ${buildout:parts-directory}/etc/raw-debug.ini
+
+[raw_deploy_ini]
+recipe = collective.recipe.template
+input = etc/raw/deploy.ini.in
+output = ${buildout:parts-directory}/etc/raw-deploy.ini
+
+[themed_debug_ini]
+recipe = collective.recipe.template
+input = etc/themed/debug.ini.in
+output = ${buildout:parts-directory}/etc/themed-debug.ini
+
+[themed_deploy_ini]
+recipe = collective.recipe.template
+input = etc/themed/deploy.ini.in
+output = ${buildout:parts-directory}/etc/themed-deploy.ini
 
 [profile_ini]
@@ -186,2 +201,13 @@
 scripts = coveragereport
 arguments = ('${buildout:parts-directory}/coverage-detect/working-directory/coverage', '${buildout:directory}/coverage-report')
+
+[lxml]
+recipe = z3c.recipe.staticlxml
+egg = lxml
+
+[diazo]
+recipe = zc.recipe.egg
+eggs =
+    diazo [wsgi]
+    PasteScript
+    waeup.fceokene [beaker, diazo]
Index: main/waeup.fceokene/branches/henrik-diazo-themed/etc/zdaemon.conf.in
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/etc/zdaemon.conf.in	(revision 11121)
+++ main/waeup.fceokene/branches/henrik-diazo-themed/etc/zdaemon.conf.in	(revision 11122)
@@ -1,4 +1,4 @@
 <runner>
-  program ${buildout:directory}/bin/paster serve ${buildout:directory}/parts/etc/deploy.ini
+  program ${buildout:directory}/bin/paster serve ${buildout:directory}/parts/etc/themed-deploy.ini
   daemon on
   transcript ${zope_conf:logfiles}/zdaemon.log
Index: main/waeup.fceokene/branches/henrik-diazo-themed/setup.py
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/setup.py	(revision 11121)
+++ main/waeup.fceokene/branches/henrik-diazo-themed/setup.py	(revision 11122)
@@ -2,5 +2,5 @@
 from setuptools import setup, find_packages
 
-version = '0.1dev'
+version = '1.0dev'
 
 install_requires =[
@@ -21,4 +21,9 @@
     'dolmen.beaker',
     ]
+
+diazo_require = [
+    'diazo',
+    'webob',
+]
 
 tests_require = [
@@ -86,9 +91,7 @@
         docs = docs_require,
         beaker = beaker_require,
+        diazo = diazo_require,
         ),
       entry_points="""
-      # Add entry points here
-      [hurry.resource.libraries]
-      waeup_custom = waeup.fceokene.browser.resources:waeup_custom
       [console_scripts]
       kofa-debug = grokcore.startup:interactive_debug_prompt
Index: main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/resources.py
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/resources.py	(revision 11121)
+++ 	(revision )
@@ -1,30 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.resources import (
-    Library, ResourceInclusion, waeup_base_css,
-    )
-
-#: All local resources are registered under the name ``waeup_custom``.
-waeup_custom = Library('waeup_custom', 'static')
-
-custom_theme = ResourceInclusion(
-    waeup_custom, 'custom_theme.css',
-    depends = [waeup_base_css])
-
-favicon = ResourceInclusion(waeup_custom, 'favicon.ico')
Index: main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/static/custom_theme.css
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/static/custom_theme.css	(revision 11121)
+++ 	(revision )
@@ -1,89 +1,0 @@
-/* Original colors, dark blue: #426ab2,light blue: #779ce2 */
-
-.topbar-inner, .topbar .fill {
-  background-color: #325088;
-  background-image: -moz-linear-gradient(center top , #082250, #325088);
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#082250), to(#325088));
-  background-image: -moz-linear-gradient(top, #082250, #325088);
-  background-image: -ms-linear-gradient(top, #082250, #325088);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #082250), color-stop(100%, #325088));
-  background-image: -webkit-linear-gradient(top, #082250, #325088);
-  background-image: -o-linear-gradient(top, #082250, #325088);
-  background-image: linear-gradient(top, #082250, #325088);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#082250', endColorstr='#325088', GradientType=0);
-}
-
-.topbar div > ul .active > a, .nav .active > a {
-  background-color: #325088;
-}
-
-.topbar h3 a:hover, .topbar .brand:hover, .topbar ul .active > a {
-  background-color: #325088;
-}
-
-.topbar div > ul a:hover, .nav a:hover {
-  background-color: #325088;
-}
-
-
-.topbar div > ul .menu-dropdown,
-.nav .menu-dropdown,
-.topbar div > ul .dropdown-menu,
-.nav .dropdown-menu {
-  background-color: #325088;
-}
-
-.topbar div > ul a.menu:hover,
-.nav a.menu:hover,
-.topbar div > ul li.open .menu,
-.nav li.open .menu,
-.topbar div > ul .dropdown-toggle:hover,
-.nav .dropdown-toggle:hover,
-.topbar div > ul .dropdown.open .dropdown-toggle,
-.nav .dropdown.open .dropdown-toggle {
-  background: #325088;
-}
-
-/* Original background color */
-/*
-body {
-  background-color: #F6F6D9;
-}
-*/
-
-body {
-  background-color: #f1f1f1;
-}
-
-.topbar div > ul .menu-dropdown li a:hover,
-.nav .menu-dropdown li a:hover,
-.topbar div > ul .dropdown-menu li a:hover,
-.nav .dropdown-menu li a:hover {
-  background-color: #082250;
-  background-repeat: repeat-x;
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#325088), to(#191919));
-  background-image: -moz-linear-gradient(top, #082250, #082250);
-  background-image: -ms-linear-gradient(top, #082250, #082250);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #082250), color-stop(100%, #082250));
-  background-image: -webkit-linear-gradient(top, #082250, #082250);
-  background-image: -o-linear-gradient(top, #082250, #082250);
-  background-image: linear-gradient(top, #082250, #082250);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#082250', endColorstr='#082250', GradientType=0);
-  color: #ffffff;
-}
-
-.topbar div > ul .menu-dropdown li a, .nav .menu-dropdown li a, .topbar div > ul .dropdown-menu li a, .nav .dropdown-menu li a {
-    color: #ffffff;
-}
-
-a {
-  color: #082250;
-}
-
-a:hover {
-  color: #325088;
-}
-
-.topbar a {
-    color: white;
-}
Index: main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/tests.py
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/tests.py	(revision 11121)
+++ main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/tests.py	(revision 11122)
@@ -48,11 +48,2 @@
         clearSite()
         shutil.rmtree(self.dc_root)
-
-    def test_custom_theme(self):
-        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.browser.open('http://localhost/app/configuration')
-        self.assertMatches('...FCEOkene Theme...', self.browser.contents)
-        self.browser.getControl(name="form.skin").value = ['custom theme']
-        self.browser.getControl("Save").click()
-        self.browser.open('http://localhost/app/configuration')
-        return
Index: main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/theming.py
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/src/waeup/fceokene/browser/theming.py	(revision 11121)
+++ 	(revision )
@@ -1,33 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.interfaces import ITheme
-from waeup.fceokene.browser.resources import custom_theme, favicon
-
-from waeup.fceokene.interfaces import MessageFactory as _
-
-class CustomTheme(grok.GlobalUtility):
-    """A custom theme based on the Kofa base theme.
-    """
-    grok.implements(ITheme)
-    grok.name('custom theme')
-
-    description = _(u'FCEOkene Theme')
-
-    def getResources(self):
-        return [custom_theme, favicon]
Index: main/waeup.fceokene/branches/henrik-diazo-themed/versions.cfg
===================================================================
--- main/waeup.fceokene/branches/henrik-diazo-themed/versions.cfg	(revision 11121)
+++ main/waeup.fceokene/branches/henrik-diazo-themed/versions.cfg	(revision 11122)
@@ -135,2 +135,21 @@
 # waeup.kofa==0.2dev
 PIL = 1.1.7
+
+# Added by buildout at 2014-02-20 08:49:00.834736
+WebOb = 1.3.1
+diazo = 1.0.5
+repoze.xmliter = 0.5
+z3c.recipe.staticlxml = 0.10
+
+# Required by:
+# diazo==1.0.5
+experimental.cssselect = 0.3
+
+# Required by:
+# diazo==1.0.5
+# experimental.cssselect==0.3
+lxml = 3.3.1
+
+# Required by:
+# z3c.recipe.staticlxml==0.10
+zc.recipe.cmmi = 1.3.5