Index: main/waeup.kofa/trunk/etc/zeo1.conf.in
===================================================================
--- main/waeup.kofa/trunk/etc/zeo1.conf.in	(revision 11141)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<runner>
-  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo1.pid ${buildout:directory}/parts/etc/zeo1.ini
-  daemon on
-  transcript ${zope_conf:logfiles}/zdaemon-zeo1.log
-  socket-name ${zope_conf:logfiles}/zeo1.sock
-  # Enable this to run the child process as a different user
-  # user zope
-</runner>
Index: main/waeup.kofa/trunk/etc/zeo1.ini.in
===================================================================
--- main/waeup.kofa/trunk/etc/zeo1.ini.in	(revision 11141)
+++ 	(revision )
@@ -1,96 +1,0 @@
-# deploy.ini
-#
-# Deployment configuration for use with paster/WSGI
-#
-
-[loggers]
-keys = root, wsgi, async, async_trace
-
-[handlers]
-keys = null, console, accesslog, asynclog, async_tracelog
-
-[formatters]
-keys = generic, accesslog
-
-[logger_root]
-level = INFO
-handlers = console
-
-[logger_wsgi]
-level = INFO
-#handlers = accesslog
-handlers = null
-qualname = wsgi
-propagate = 0
-
-[logger_async]
-level = INFO
-handlers = asynclog
-qualname = zc.async
-propagate = 0
-
-[logger_async_trace]
-level = INFO
-handlers = async_tracelog
-qualname = zc.async.trace
-propagate = 0
-
-[handler_null]
-# you can use 'NullHandler' (w/o the path) if under Python 2.7+
-class = waeup.kofa.utils.helpers.NullHandler
-args = ()
-level = NOTSET
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[handler_accesslog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1.log'),
-        'a')
-level = INFO
-formatter = accesslog
-
-[handler_asynclog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[handler_async_tracelog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async_trace.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[formatter_generic]
-format = %(asctime)s %(levelname)s [%(name)s] %(message)s
-
-[formatter_accesslog]
-format = %(message)s
-
-[filter:translogger]
-use = egg:Paste#translogger
-setup_console_handler = False
-logger_name = wsgi
-
-[app:main]
-use = egg:${kofa_params:devel_pkg}
-filter-with = translogger
-
-[server:main]
-use = egg:Paste#http
-host = ${kofa_params:host}
-port = ${kofa_params:zeo1_port}
-threadpool_workers = ${kofa_params:threadpool_workers}
-use_threadpool = True
-
-[DEFAULT]
-# set the name of the zope.conf file
-zope_conf = %(here)s/zope_zeo1.conf
-env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.kofa/trunk/etc/zeo2.conf.in
===================================================================
--- main/waeup.kofa/trunk/etc/zeo2.conf.in	(revision 11141)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<runner>
-  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo2.pid ${buildout:directory}/parts/etc/zeo2.ini
-  daemon on
-  transcript ${zope_conf:logfiles}/zdaemon-zeo2.log
-  socket-name ${zope_conf:logfiles}/zeo2.sock
-  # Enable this to run the child process as a different user
-  # user zope
-</runner>
Index: main/waeup.kofa/trunk/etc/zeo2.ini.in
===================================================================
--- main/waeup.kofa/trunk/etc/zeo2.ini.in	(revision 11141)
+++ 	(revision )
@@ -1,96 +1,0 @@
-# deploy.ini
-#
-# Deployment configuration for use with paster/WSGI
-#
-
-[loggers]
-keys = root, wsgi, async, async_trace
-
-[handlers]
-keys = null, console, accesslog, asynclog, async_tracelog
-
-[formatters]
-keys = generic, accesslog
-
-[logger_root]
-level = INFO
-handlers = console
-
-[logger_wsgi]
-level = INFO
-#handlers = accesslog
-handlers = null
-qualname = wsgi
-propagate = 0
-
-[logger_async]
-level = INFO
-handlers = asynclog
-qualname = zc.async
-propagate = 0
-
-[logger_async_trace]
-level = INFO
-handlers = async_tracelog
-qualname = zc.async.trace
-propagate = 0
-
-[handler_null]
-# you can use 'NullHandler' (w/o the path) if under Python 2.7+
-class = waeup.kofa.utils.helpers.NullHandler
-args = ()
-level = NOTSET
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[handler_accesslog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2.log'),
-        'a')
-level = INFO
-formatter = accesslog
-
-[handler_asynclog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[handler_async_tracelog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async_trace.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[formatter_generic]
-format = %(asctime)s %(levelname)s [%(name)s] %(message)s
-
-[formatter_accesslog]
-format = %(message)s
-
-[filter:translogger]
-use = egg:Paste#translogger
-setup_console_handler = False
-logger_name = wsgi
-
-[app:main]
-use = egg:${kofa_params:devel_pkg}
-filter-with = translogger
-
-[server:main]
-use = egg:Paste#http
-host = ${kofa_params:host}
-port = ${kofa_params:zeo2_port}
-threadpool_workers = ${kofa_params:threadpool_workers}
-use_threadpool = True
-
-[DEFAULT]
-# set the name of the zope.conf file
-zope_conf = %(here)s/zope_zeo2.conf
-env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid2.txt
Index: main/waeup.kofa/trunk/etc/zope_zeo1.conf.in
===================================================================
--- main/waeup.kofa/trunk/etc/zope_zeo1.conf.in	(revision 11141)
+++ 	(revision )
@@ -1,100 +1,0 @@
-# Identify the component configuration used to define the site:
-site-definition ${site_zcml:output}
-
-<zodb>
-
-  #cache-size
-
-  # num of concurrent pre-opened ZODB threads; default: 7
-  pool-size 25
-
-  # Standard blob storage
-#  <blobstorage>
-#    blob-dir ${zope_conf:blobstorage}
-#    <filestorage>
-#      path ${zope_conf:filestorage}/Data.fs
-#    </filestorage>
-#  </blobstorage>
-
-# Uncomment this if you want a blob-less standard file storage instead:
-#  <filestorage>
-#       path ${zope_conf:filestorage}
-#  </filestorage>
-
-# Uncomment this if you want to connect to a ZEO server instead:
-  <zeoclient>
-    server localhost:8100
-    storage 1
-     # ZEO client cache, in bytes
-    cache-size 20MB
-    # Uncomment to have a persistent disk cache
-    client ${zope_conf_zeo_1:filestorage}/zeo1
-  </zeoclient>
-
-# Uncomment this if you want to run a ZEO server instead:
-#  <zeo>
-#    # required; 'host:port' for TCP/IP, path to a socket file for UDP
-#    address localhost:8090
-#
-#    # optional; 'address' remarks apply
-#    #monitor-address localhost:8091
-#
-#    # optional; keep queue of last N transactions. Speeds up client cache verif.
-#    #invalidation-queue-size 10
-#
-#    # optional; is this a read-only instance? true or false
-#    #read-only false
-#
-#    # optional; seconds to wait for client to commit after acquiring lock
-#    #transaction-timeout 20
-#
-#    # optional; authentication protocol. With ZEO only 'digest' supported
-#    #authentication-protocol digest 
-#
-#    # optional; Path of the database containing authentication credentials.
-#    #authentication-database
-#
-#    # optional; the authentication realm of server
-#    #authentication-realm myrealm
-#  </zeo>
-
-</zodb>
-
-<zodb async>
-  <zeoclient>
-    server localhost:8100
-    storage async
-    name async
-    # ZEO client cache, in bytes
-    cache-size 20MB
-    # Uncomment to have a persistent disk cache
-    client ${zope_conf_zeo_1:filestorage}/zeo1_async
-  </zeoclient>
-</zodb>
-
-<eventlog>
-  # This sets up logging to a file.
-  # The "path" setting can be a relative or absolute
-  # filesystem path.
-
-  <logfile>
-    path ${zope_conf:logfiles}/zeo1_z3.log
-    formatter zope.exceptions.log.Formatter
-  </logfile>
-
-  # This sets up logging to to standard output.
-  # The "path" setting can be the tokens STDOUT or STDERR
-  
-#  <logfile>
-#    path STDOUT
-#    formatter zope.exceptions.log.Formatter
-#  </logfile>
-</eventlog>
-
-# Comment this line to disable developer mode.  This should be done in
-# production
-#devmode on
-
-# Extra configuration lines can be added to zope_conf's extra option. Put for 
-# instance productconf sections in here.
-${zope_conf:extra}
Index: main/waeup.kofa/trunk/etc/zope_zeo2.conf.in
===================================================================
--- main/waeup.kofa/trunk/etc/zope_zeo2.conf.in	(revision 11141)
+++ 	(revision )
@@ -1,101 +1,0 @@
-# Identify the component configuration used to define the site:
-site-definition ${site_zcml:output}
-
-<zodb>
-
-  #cache-size
-
-  # num of concurrent pre-opened ZODB threads; default: 7
-  pool-size 7
-
-  # Standard blob storage
-#  <blobstorage>
-#    blob-dir ${zope_conf:blobstorage}
-#    <filestorage>
-#      path ${zope_conf:filestorage}/Data.fs
-#    </filestorage>
-#  </blobstorage>
-
-# Uncomment this if you want a blob-less standard file storage instead:
-#  <filestorage>
-#       path ${zope_conf:filestorage}
-#  </filestorage>
-
-# Uncomment this if you want to connect to a ZEO server instead:
-  <zeoclient>
-    server localhost:8100
-    storage 1
-    # ZEO client cache, in bytes
-    cache-size 20MB
-    # Uncomment to have a persistent disk cache
-    client ${zope_conf_zeo_2:filestorage}/zeo2
-  </zeoclient>
-
-# Uncomment this if you want to run a ZEO server instead:
-#  <zeo>
-#    # required; 'host:port' for TCP/IP, path to a socket file for UDP
-#    address localhost:8090
-#
-#    # optional; 'address' remarks apply
-#    #monitor-address localhost:8091
-#
-#    # optional; keep queue of last N transactions. Speeds up client cache verif.
-#    #invalidation-queue-size 10
-#
-#    # optional; is this a read-only instance? true or false
-#    #read-only false
-#
-#    # optional; seconds to wait for client to commit after acquiring lock
-#    #transaction-timeout 20
-#
-#    # optional; authentication protocol. With ZEO only 'digest' supported
-#    #authentication-protocol digest 
-#
-#    # optional; Path of the database containing authentication credentials.
-#    #authentication-database
-#
-#    # optional; the authentication realm of server
-#    #authentication-realm myrealm
-#  </zeo>
-
-</zodb>
-
-<zodb async>
-  <zeoclient>
-    server localhost:8100
-    storage async
-    name async
-    # ZEO client cache, in bytes
-    cache-size 20MB
-    # Uncomment to have a persistent disk cache
-    client ${zope_conf_zeo_2:filestorage}/zeo2_async
-  </zeoclient>
-</zodb>
-
-
-<eventlog>
-  # This sets up logging to a file.
-  # The "path" setting can be a relative or absolute
-  # filesystem path.
-
-  <logfile>
-    path ${zope_conf:logfiles}/zeo2_z3.log
-    formatter zope.exceptions.log.Formatter
-  </logfile>
-
-  # This sets up logging to to standard output.
-  # The "path" setting can be the tokens STDOUT or STDERR
-  
-#  <logfile>
-#    path STDOUT
-#    formatter zope.exceptions.log.Formatter
-#  </logfile>
-</eventlog>
-
-# Comment this line to disable developer mode.  This should be done in
-# production
-#devmode on
-
-# Extra configuration lines can be added to zope_conf's extra option. Put for 
-# instance productconf sections in here.
-${zope_conf:extra}