Index: /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/applicants/browser_templates/applicantdisplaypage.pt	(revision 11142)
+++ /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/applicants/browser_templates/applicantdisplaypage.pt	(revision 11143)
@@ -86,5 +86,5 @@
     Application Fee Payment Tickets
 </h3>
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="table table-condensed">
   <thead>
     <tr>
Index: /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/interswitch/browser_templates/applicant_goto_interswitch.pt
===================================================================
--- /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 11142)
+++ /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 11143)
@@ -8,6 +8,4 @@
 
   <table class="form-table" i18n:domain="waeup.kofa">
-    <thead>
-    </thead>
     <tbody>
       <tr>
@@ -71,6 +69,6 @@
   <input type="hidden" name="payment_params" value="college_split" />
   <span tal:replace="structure view/xml_data"></span>
-
-  <input type="submit" class="btn" tal:attributes="value view/submit_button"/>
+  <br />
+  <input type="submit" class="btn btn-primary" tal:attributes="value view/submit_button"/>
 
 </form>
Index: /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/interswitch/browser_templates/student_goto_interswitch.pt
===================================================================
--- /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/interswitch/browser_templates/student_goto_interswitch.pt	(revision 11142)
+++ /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/interswitch/browser_templates/student_goto_interswitch.pt	(revision 11143)
@@ -8,6 +8,4 @@
 
   <table class="form-table" i18n:domain="waeup.kofa">
-    <thead>
-    </thead>
     <tbody>
       <tr>
@@ -71,6 +69,6 @@
   <input type="hidden" name="payment_params" value="college_split" />
   <span tal:replace="structure view/xml_data"></span>
-
-  <input type="submit" class="btn" tal:attributes="value view/submit_button"/>
+  <br />
+  <input type="submit" class="btn btn-primary" tal:attributes="value view/submit_button"/>
 
 </form>
Index: /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/students/browser_templates/studyleveleditpage.pt
===================================================================
--- /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/students/browser_templates/studyleveleditpage.pt	(revision 11142)
+++ /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/students/browser_templates/studyleveleditpage.pt	(revision 11143)
@@ -8,5 +8,5 @@
       tal:replace="view/context/total_credits">TOTAL</span>)
   </h3>
-  <table class="display dataTableManage">
+  <table class="kofa-data-table dataTableManage">
   <thead>
     <tr>
@@ -23,5 +23,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="value view/translated_values" class="gradeC">
+    <tr tal:repeat="value view/translated_values">
        <td>
         <input type="checkbox" name="val_id"
@@ -30,5 +30,5 @@
       </td>
       <td tal:content="value/semester" nowrap>TERM</td>
-      <td> <a tal:attributes="href value/__name__">
+      <td> <a tal:attributes="href value/url">
       <span tal:content="value/code">CODE</span>
       </a></td>
@@ -49,4 +49,5 @@
     </span>
   </div>
+
   <br /><br /><br />
   <table class="input-table">
Index: /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/students/browser_templates/studylevelpage.pt	(revision 11142)
+++ /main/waeup.uniben/branches/henrik-diazo-themed/src/waeup/uniben/students/browser_templates/studylevelpage.pt	(revision 11143)
@@ -1,5 +1,3 @@
 <table class="form-table" i18n:domain="waeup.kofa">
-  <thead>
-  </thead>
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -20,5 +18,5 @@
 <h3 i18n:domain="waeup.kofa" i18n:translate="">Course Tickets</h3>
 
-<table class="display dataTable" i18n:domain="waeup.kofa">
+<table class="kofa-data-table dataTable" i18n:domain="waeup.kofa">
   <thead>
     <tr>
@@ -36,7 +34,7 @@
   </thead>
   <tbody>
-    <tr tal:repeat="value view/translated_values" class="gradeC">
+    <tr tal:repeat="value view/translated_values">
       <td tal:content="value/semester" nowrap>TERM</td>
-      <td> <a tal:attributes="href value/__name__">
+      <td> <a tal:attributes="href value/url">
       <span tal:content="value/code">CODE</span>
       </a></td>