Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout-windows.cfg
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout-windows.cfg	(revision 11139)
+++ 	(revision )
@@ -1,87 +1,0 @@
-[buildout]
-develop = .
-parts =
-    eggbasket
-    app
-    mkdirs
-    zope_conf
-    site_zcml
-    zdaemon_conf
-    deploy_ini
-    debug_ini
-# For backward compatibility, telling buildout not to throw away
-# the data and log subdirectories from the parts directory.
-    data
-    log
-# newest = false
-
-extends = versions.cfg
-
-# eggs will be installed in the default buildout location
-# (see .buildout/default.cfg in your home directory)
-# unless you specify an eggs-directory option here.
-
-[app]
-# This creates only the paster script in bin/.
-recipe = zc.recipe.egg
-eggs = kofacustom.skeleton
-       z3c.evalexception>=2.0
-       Paste
-       PasteScript
-       PasteDeploy
-interpreter = python-console
-scripts = paster=paster
-
-[mkdirs]
-recipe = z3c.recipe.mkdir
-paths =
-    ${zope_conf:filestorage}
-    ${zope_conf:logfiles}
-    ${zope_conf:blobstorage}
-    ${buildout:directory}/var/datacenter/media
-
-[zope_conf]
-recipe = collective.recipe.template
-input = etc/zope.conf.in
-output = ${buildout:parts-directory}/etc/zope.conf
-filestorage = ${buildout:directory}/var/filestorage
-blobstorage = ${buildout:directory}/var/blobstorage
-logfiles = ${buildout:directory}/var/log
-extra =
-# extra = <grokwarnings>True</grokwarnings>
-# 'extra' is copied verbatim. Use it for product config sections and so.
-
-# The [data] and [log] parts are still in here to instruct buildout to not
-# unintentionally throw away the parts/data and parts/log subdirectories
-# that contain the Data.fs and the log files. These files should be
-# copied to the new locations. See the upgrade notes for more information.
-[data]
-recipe = zc.recipe.filestorage
-
-[log]
-recipe = zc.recipe.filestorage
-
-[site_zcml]
-recipe = collective.recipe.template
-input = etc/site.zcml.in
-output = ${buildout:parts-directory}/etc/site.zcml
-
-[zdaemon_conf]
-recipe = collective.recipe.template
-input = etc/zdaemon.conf.in
-output = ${buildout:parts-directory}/etc/zdaemon.conf
-
-[deploy_ini]
-recipe = collective.recipe.template
-input = etc/deploy.ini.in
-output = ${buildout:parts-directory}/etc/deploy.ini
-
-[debug_ini]
-recipe = collective.recipe.template
-input = etc/debug.ini.in
-output = ${buildout:parts-directory}/etc/debug.ini
-
-[eggbasket]
-recipe = z3c.recipe.eggbasket
-eggs = grok
-url = http://grok.zope.org/releaseinfo/grok-eggs-1.1.tgz
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout-zeo.cfg
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout-zeo.cfg	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout-zeo.cfg	(revision 11147)
@@ -97,11 +97,11 @@
 [zeo1_ini]
 recipe = collective.recipe.template
-input = etc/zeo1.ini.in
-output = ${buildout:parts-directory}/etc/zeo1.ini
+input = etc/themed/zeo1.ini.in
+output = ${buildout:parts-directory}/etc/themed-zeo1.ini
 
 [zeo2_ini]
 recipe = collective.recipe.template
-input = etc/zeo2.ini.in
-output = ${buildout:parts-directory}/etc/zeo2.ini
+input = etc/themed/zeo2.ini.in
+output = ${buildout:parts-directory}/etc/themed-zeo2.ini
 
 [zeo1_conf]
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout.cfg
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout.cfg	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/buildout.cfg	(revision 11147)
@@ -55,8 +55,8 @@
 base_port = 8080
 
-# zeo1_port = 7011
-# zeo2_port = 7012
-# zeo3_port = 7013
-# server_port = 7010
+zeo1_port = 8011
+zeo2_port = 8012
+# zeo3_port = 8013
+server_port = 8010
 # default 7. Number of pre-opened ZODB threads/client
 pool_size = 7
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/docs/INSTALLWIN.txt
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/docs/INSTALLWIN.txt	(revision 11139)
+++ 	(revision )
@@ -1,87 +1,0 @@
-Installation on Windows (XP, 2000, Vista, 7)
-********************************************
-
-.. note:: `waeup.kofa` has been developed to run on Linux servers,
-          preferarbly with an Ubuntu OS. The installation on Windows computers
-          is for demonstration purposes only.
-
-Install Python
-==============
-
-**Step 1.** Install Python. Currently, version 2.6.x is supported.
-Note that these links point to installers for the ordinary x86 processor architecture.
-We recommend to download the follwoing software and install into ``C:\Python26``:
-
-| http://www.python.org/ftp/python/2.6.0/python-2.6.0.msi
-| http://sourceforge.net/project/downloading.php?group_id=78018&filename=pywin32-213.win32-py2.6.exe
-| http://pypi.python.org/packages/2.6/s/setuptools/setuptools-0.6c11.win32-py2.6.exe
-
-**Step 2**. Add ``C:\Python26\Scripts\`` to your system path:
-
-- Right-click on the My Computer icon. (Under Windows XP, Vista, or Windows 7, the My Computer Icon may be located in the start menu.)
-
-- Choose Properties from the context menu. Alternatively, you can double-click on the System icon in the Control Panel.
-
-- Click the Advanced tab or "Advanced system settings" on Windows Vista or Windows 7
-
-- Click the Environment Variables button.
-
-- Click on the variable called 'Path' and then click on Edit. Now add ``C:\Python26\Scripts\`` to the value of the variable, using a semi-colon as a separator.
-
-- Reboot Windows
-
-Install a Virtual Python Environment
-====================================
-
-**Step 3**. Open up a command window and change to the folder where you want to place the sandbox
-that will contain your Kofa project. In this HowTo we will assume and recommend this folder is ``C:\`` ::
-
-  C:\[any_path]> cd c:\
-
-**Step 4**. Install virtualenv by using the command::
-
- C:\> easy_install virtualenv
-
-**Step 5**. Create an isolated environment (sandbox) using the command::
-
- C:\> virtualenv winkofa
-
-**Step 6**. Activate the environment::
-
- C:\> cd winkofa
- C:\winkofa> Scripts\activate
-
-Note that the system prompt has changed.
-
-Run Kofa
-========
-
-**Step 7**. Copy the ``waeup.kofa`` folder into ``C:\winkofa``.
-
-**Step 8**. Run the bootstrap script::
-
- (winkofa) C:\winkofa\waeup.kofa> cd waeup.kofa
- (winkofa) C:\winkofa\waeup.kofa> python bootstrap\bootstrap.py -c buildout-windows.cfg
-
-**Step 9**. Run buildout (this takes a while)::
-
- C:\winkofa\waeup.kofa> bin\buildout.exe -c buildout-windows.cfg
-
-**Step 10**. You can deactivate your environment again::
-
- (winkofa) C:\winkofa\waeup.kofa> ..\Scripts\deactivate
-
-**Step 11**. Start your Kofa::
-
- C:\winkofa\waeup.kofa> bin\paster serve parts\etc\deploy.ini
-
-or from anywhere in your system::
-
- C:\[any_path]> C:\winkofa\trunk\bin\paster serve C:\winkofa\trunk\parts\etc\deploy.ini
-
-**Step 12**. Visit the Kofa website and create your university instance:
-
-| http://localhost:8080
-| user name: grok
-| password: grok
-
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/raw/debug.ini.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/raw/debug.ini.in	(revision 11147)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/raw/debug.ini.in	(revision 11147)
@@ -0,0 +1,94 @@
+# debug.ini
+#
+# Debugging configuration for use with paster/WSGI
+#
+
+[loggers]
+keys = root, wsgi
+
+[handlers]
+keys = console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'access.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+handlers = accesslog
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[filter-app:main]
+# Change the last part from 'ajax' to 'pdb' for a post-mortem debugger
+# on the console:
+use = egg:z3c.evalexception#ajax
+next = zope
+
+[app:zope]
+use = egg:${kofa_params:devel_pkg}#debug
+filter-with = translogger
+exempt-exceptions = zope.security.interfaces.IUnauthorized
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:base_port}
+
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/raw/deploy.ini.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/raw/deploy.ini.in	(revision 11147)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/raw/deploy.ini.in	(revision 11147)
@@ -0,0 +1,94 @@
+# deploy.ini
+#
+# Deployment configuration for use with paster/WSGI
+#
+
+[loggers]
+keys = root, wsgi, async, async_trace
+
+[handlers]
+keys = null, console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+#handlers = accesslog
+handlers = null
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[handler_null]
+# you can use 'NullHandler' (w/o the path) if under Python 2.7+
+class = waeup.kofa.utils.helpers.NullHandler
+args = ()
+level = NOTSET
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'access.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[app:main]
+use = egg:${kofa_params:devel_pkg}
+filter-with = translogger
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:base_port}
+
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/debug.ini.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/debug.ini.in	(revision 11147)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/debug.ini.in	(revision 11147)
@@ -0,0 +1,125 @@
+# debug.ini
+#
+# Debugging configuration for use with paster/WSGI and diazo
+#
+
+[loggers]
+keys = root, wsgi
+
+[handlers]
+keys = console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'access.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+handlers = accesslog
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[filter:debugger]
+# Change the last part from 'ajax' to 'pdb' for a post-mortem debugger
+# on the console:
+use = egg:z3c.evalexception#ajax
+
+[app:zope]
+use = egg:${kofa_params:devel_pkg}#debug
+exempt-exceptions = zope.security.interfaces.IUnauthorized
+
+[app:static]
+use = egg:Paste#static
+document_root = %(LAYOUT_DIR)s/static
+
+[app:static_custom]
+use = egg:Paste#static
+document_root = %(LAYOUT_CUSTOM_DIR)s/static/
+
+[composite:main]
+use = egg:Paste#urlmap
+/static = static
+/static_custom = static_custom
+/ = default
+
+[filter:theme]
+use = egg:diazo
+rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+prefix = /
+doctype = <!DOCTYPE html>
+# set to false, if you don't want rules.xml being rebuild on each request
+debug = true
+
+[pipeline:default]
+pipeline = theme
+           translogger
+           debugger
+           zope
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:base_port}
+
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
+# the directory where all real diazo config is done (no trailing slash)
+LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+STATIC_DIR = %(LAYOUT_DIR)s/static
+LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
+STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/deploy.ini.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/deploy.ini.in	(revision 11147)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/deploy.ini.in	(revision 11147)
@@ -0,0 +1,125 @@
+# deploy.ini
+#
+# Deployment configuration for use with paster/WSGI
+#
+
+[loggers]
+keys = root, wsgi, async, async_trace
+
+[handlers]
+keys = null, console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+#handlers = accesslog
+handlers = null
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[handler_null]
+# you can use 'NullHandler' (w/o the path) if under Python 2.7+
+class = waeup.kofa.utils.helpers.NullHandler
+args = ()
+level = NOTSET
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'access.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[app:content]
+use = egg:${kofa_params:devel_pkg}
+filter-with = translogger
+
+[app:static]
+use = egg:Paste#static
+document_root = %(LAYOUT_DIR)s/static/
+
+[app:static_custom]
+use = egg:Paste#static
+document_root = %(LAYOUT_CUSTOM_DIR)s/static/
+
+[composite:main]
+use = egg:Paste#urlmap
+/static = static
+/static_custom = static_custom
+/ = default
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:base_port}
+
+[filter:theme]
+use = egg:diazo
+rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+prefix = /
+doctype = <!DOCTYPE html>
+# set to true, if you want rules.xml being rebuild on each request
+debug = false
+
+[pipeline:default]
+pipeline = theme
+           content
+
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
+# the directory where all real diazo config is done (no trailing slash)
+LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+STATIC_DIR = %(LAYOUT_DIR)s/static
+LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
+STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/zeo1.ini.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/zeo1.ini.in	(revision 11147)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/zeo1.ini.in	(revision 11147)
@@ -0,0 +1,126 @@
+# deploy.ini
+#
+# Deployment configuration for use with paster/WSGI
+#
+
+[loggers]
+keys = root, wsgi, async, async_trace
+
+[handlers]
+keys = null, console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+#handlers = accesslog
+handlers = null
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[handler_null]
+# you can use 'NullHandler' (w/o the path) if under Python 2.7+
+class = waeup.kofa.utils.helpers.NullHandler
+args = ()
+level = NOTSET
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[app:content]
+use = egg:${kofa_params:devel_pkg}
+filter-with = translogger
+
+[app:static]
+use = egg:Paste#static
+document_root = %(LAYOUT_DIR)s/static/
+
+[app:static_custom]
+use = egg:Paste#static
+document_root = %(LAYOUT_CUSTOM_DIR)s/static/
+
+[composite:main]
+use = egg:Paste#urlmap
+/static = static
+/static_custom = static_custom
+/ = default
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:zeo1_port}
+threadpool_workers = ${kofa_params:threadpool_workers}
+use_threadpool = True
+
+[filter:theme]
+use = egg:diazo
+rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+prefix = /
+doctype = <!DOCTYPE html>
+# set to true, if you want rules.xml being rebuild on each request
+debug = false
+
+[pipeline:default]
+pipeline = theme
+           content
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope_zeo1.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
+# the directory where all real diazo config is done (no trailing slash)
+LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+STATIC_DIR = %(LAYOUT_DIR)s/static
+LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
+STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/zeo2.ini.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/zeo2.ini.in	(revision 11147)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/themed/zeo2.ini.in	(revision 11147)
@@ -0,0 +1,126 @@
+# deploy.ini
+#
+# Deployment configuration for use with paster/WSGI
+#
+
+[loggers]
+keys = root, wsgi, async, async_trace
+
+[handlers]
+keys = null, console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+#handlers = accesslog
+handlers = null
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[handler_null]
+# you can use 'NullHandler' (w/o the path) if under Python 2.7+
+class = waeup.kofa.utils.helpers.NullHandler
+args = ()
+level = NOTSET
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[app:content]
+use = egg:${kofa_params:devel_pkg}
+filter-with = translogger
+
+[app:static]
+use = egg:Paste#static
+document_root = %(LAYOUT_DIR)s/static/
+
+[app:static_custom]
+use = egg:Paste#static
+document_root = %(LAYOUT_CUSTOM_DIR)s/static/
+
+[composite:main]
+use = egg:Paste#urlmap
+/static = static
+/static_custom = static_custom
+/ = default
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:zeo2_port}
+threadpool_workers = ${kofa_params:threadpool_workers}
+use_threadpool = True
+
+[filter:theme]
+use = egg:diazo
+rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+prefix = /
+doctype = <!DOCTYPE html>
+# set to true, if you want rules.xml being rebuild on each request
+debug = false
+
+[pipeline:default]
+pipeline = theme
+           content
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope_zeo2.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid2.txt
+# the directory where all real diazo config is done (no trailing slash)
+LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+STATIC_DIR = %(LAYOUT_DIR)s/static
+LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
+STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zeo1.conf.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zeo1.conf.in	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zeo1.conf.in	(revision 11147)
@@ -1,8 +1,8 @@
 <runner>
-  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo1.pid ${buildout:directory}/parts/etc/zeo1.ini
+  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo1.pid ${buildout:directory}/parts/etc/themed-zeo1.ini
   daemon on
   transcript ${zope_conf:logfiles}/zdaemon-zeo1.log
   socket-name ${zope_conf:logfiles}/zeo1.sock
   # Enable this to run the child process as a different user
-  user kofa
+  # user kofa
 </runner>
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zeo2.conf.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zeo2.conf.in	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zeo2.conf.in	(revision 11147)
@@ -1,8 +1,8 @@
 <runner>
-  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo2.pid ${buildout:directory}/parts/etc/zeo2.ini
+  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo2.pid ${buildout:directory}/parts/etc/themed-zeo2.ini
   daemon on
   transcript ${zope_conf:logfiles}/zdaemon-zeo2.log
   socket-name ${zope_conf:logfiles}/zeo2.sock
   # Enable this to run the child process as a different user
-  user kofa
+  # user kofa
 </runner>
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zope_zeo1.conf.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zope_zeo1.conf.in	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zope_zeo1.conf.in	(revision 11147)
@@ -24,5 +24,5 @@
 # Uncomment this if you want to connect to a ZEO server instead:
   <zeoclient>
-    server localhost:7010
+    server localhost:8010
     storage 1
     # ZEO client cache, in bytes
@@ -63,5 +63,5 @@
 <zodb async>
   <zeoclient>
-    server localhost:7010
+    server localhost:8010
     storage async
     name async
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zope_zeo2.conf.in
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zope_zeo2.conf.in	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/etc/zope_zeo2.conf.in	(revision 11147)
@@ -24,5 +24,5 @@
 # Uncomment this if you want to connect to a ZEO server instead:
   <zeoclient>
-    server localhost:7010
+    server localhost:8010
     storage 1
     # ZEO client cache, in bytes
@@ -63,5 +63,5 @@
 <zodb async>
   <zeoclient>
-    server localhost:7010
+    server localhost:8010
     storage async
     name async
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/src/kofacustom/skeleton/interswitch/browser_templates/applicant_goto_interswitch.pt
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/src/kofacustom/skeleton/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/src/kofacustom/skeleton/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 11147)
@@ -75,3 +75,7 @@
   <input type="submit" class="btn btn-primary" tal:attributes="value view/submit_button"/>
 
+  <br /><br />
+
+  <img src="/static/img/interswitch_verve_mastercard.gif" />
+
 </form>
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/src/kofacustom/skeleton/interswitch/browser_templates/student_goto_interswitch.pt
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/src/kofacustom/skeleton/interswitch/browser_templates/student_goto_interswitch.pt	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/src/kofacustom/skeleton/interswitch/browser_templates/student_goto_interswitch.pt	(revision 11147)
@@ -75,3 +75,7 @@
   <input type="submit" class="btn btn-primary" tal:attributes="value view/submit_button"/>
 
+  <br /><br />
+
+  <img src="/static/img/interswitch_verve_mastercard.gif" />
+
 </form>
Index: main/kofacustom.skeleton/branches/henrik-diazo-themed/versions.cfg
===================================================================
--- main/kofacustom.skeleton/branches/henrik-diazo-themed/versions.cfg	(revision 11139)
+++ main/kofacustom.skeleton/branches/henrik-diazo-themed/versions.cfg	(revision 11147)
@@ -147,2 +147,5 @@
 # z3c.recipe.staticlxml==0.10
 zc.recipe.cmmi = 1.3.5
+
+# Added by buildout at 2014-02-21 08:11:47.544699
+zc.zodbrecipes = 2.0.0