Index: /main/waeup.imostate/branches/henrik-diazo-themed/buildout-zeo.cfg
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/buildout-zeo.cfg	(revision 11148)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/buildout-zeo.cfg	(revision 11149)
@@ -97,11 +97,11 @@
 [zeo1_ini]
 recipe = collective.recipe.template
-input = etc/zeo1.ini.in
-output = ${buildout:parts-directory}/etc/zeo1.ini
+input = etc/themed/zeo1.ini.in
+output = ${buildout:parts-directory}/etc/themed-zeo1.ini
 
 [zeo2_ini]
 recipe = collective.recipe.template
-input = etc/zeo2.ini.in
-output = ${buildout:parts-directory}/etc/zeo2.ini
+input = etc/themed/zeo2.ini.in
+output = ${buildout:parts-directory}/etc/themed-zeo2.ini
 
 [zeo1_conf]
Index: /main/waeup.imostate/branches/henrik-diazo-themed/buildout.cfg
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/buildout.cfg	(revision 11148)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/buildout.cfg	(revision 11149)
@@ -56,5 +56,5 @@
 zeo1_port = 7071
 zeo2_port = 7072
-zeo3_port = 7073
+# zeo3_port = 7073
 server_port = 7070
 # default 7. Number of pre-opened ZODB threads/client
Index: /main/waeup.imostate/branches/henrik-diazo-themed/etc/themed/zeo1.ini.in
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/etc/themed/zeo1.ini.in	(revision 11149)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/etc/themed/zeo1.ini.in	(revision 11149)
@@ -0,0 +1,126 @@
+# deploy.ini
+#
+# Deployment configuration for use with paster/WSGI
+#
+
+[loggers]
+keys = root, wsgi, async, async_trace
+
+[handlers]
+keys = null, console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+#handlers = accesslog
+handlers = null
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[handler_null]
+# you can use 'NullHandler' (w/o the path) if under Python 2.7+
+class = waeup.kofa.utils.helpers.NullHandler
+args = ()
+level = NOTSET
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[app:content]
+use = egg:${kofa_params:devel_pkg}
+filter-with = translogger
+
+[app:static]
+use = egg:Paste#static
+document_root = %(LAYOUT_DIR)s/static/
+
+[app:static_custom]
+use = egg:Paste#static
+document_root = %(LAYOUT_CUSTOM_DIR)s/static/
+
+[composite:main]
+use = egg:Paste#urlmap
+/static = static
+/static_custom = static_custom
+/ = default
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:zeo1_port}
+threadpool_workers = ${kofa_params:threadpool_workers}
+use_threadpool = True
+
+[filter:theme]
+use = egg:diazo
+rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+prefix = /
+doctype = <!DOCTYPE html>
+# set to true, if you want rules.xml being rebuild on each request
+debug = false
+
+[pipeline:default]
+pipeline = theme
+           content
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope_zeo1.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
+# the directory where all real diazo config is done (no trailing slash)
+LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+STATIC_DIR = %(LAYOUT_DIR)s/static
+LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
+STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: /main/waeup.imostate/branches/henrik-diazo-themed/etc/themed/zeo2.ini.in
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/etc/themed/zeo2.ini.in	(revision 11149)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/etc/themed/zeo2.ini.in	(revision 11149)
@@ -0,0 +1,126 @@
+# deploy.ini
+#
+# Deployment configuration for use with paster/WSGI
+#
+
+[loggers]
+keys = root, wsgi, async, async_trace
+
+[handlers]
+keys = null, console, accesslog, asynclog, async_tracelog
+
+[formatters]
+keys = generic, accesslog
+
+[logger_root]
+level = INFO
+handlers = console
+
+[logger_wsgi]
+level = INFO
+#handlers = accesslog
+handlers = null
+qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
+[handler_null]
+# you can use 'NullHandler' (w/o the path) if under Python 2.7+
+class = waeup.kofa.utils.helpers.NullHandler
+args = ()
+level = NOTSET
+
+[handler_console]
+class = StreamHandler
+args = (sys.stderr,)
+level = NOTSET
+formatter = generic
+
+[handler_accesslog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2.log'),
+        'a')
+level = INFO
+formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[formatter_generic]
+format = %(asctime)s %(levelname)s [%(name)s] %(message)s
+
+[formatter_accesslog]
+format = %(message)s
+
+[filter:translogger]
+use = egg:Paste#translogger
+setup_console_handler = False
+logger_name = wsgi
+
+[app:content]
+use = egg:${kofa_params:devel_pkg}
+filter-with = translogger
+
+[app:static]
+use = egg:Paste#static
+document_root = %(LAYOUT_DIR)s/static/
+
+[app:static_custom]
+use = egg:Paste#static
+document_root = %(LAYOUT_CUSTOM_DIR)s/static/
+
+[composite:main]
+use = egg:Paste#urlmap
+/static = static
+/static_custom = static_custom
+/ = default
+
+[server:main]
+use = egg:Paste#http
+host = ${kofa_params:host}
+port = ${kofa_params:zeo2_port}
+threadpool_workers = ${kofa_params:threadpool_workers}
+use_threadpool = True
+
+[filter:theme]
+use = egg:diazo
+rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+prefix = /
+doctype = <!DOCTYPE html>
+# set to true, if you want rules.xml being rebuild on each request
+debug = false
+
+[pipeline:default]
+pipeline = theme
+           content
+[DEFAULT]
+# set the name of the zope.conf file
+zope_conf = %(here)s/zope_zeo2.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid2.txt
+# the directory where all real diazo config is done (no trailing slash)
+LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+STATIC_DIR = %(LAYOUT_DIR)s/static
+LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
+STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: /main/waeup.imostate/branches/henrik-diazo-themed/etc/zeo1.conf.in
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/etc/zeo1.conf.in	(revision 11148)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/etc/zeo1.conf.in	(revision 11149)
@@ -1,8 +1,8 @@
 <runner>
-  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo1.pid ${buildout:directory}/parts/etc/zeo1.ini
+  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo1.pid ${buildout:directory}/parts/etc/themed-zeo1.ini
   daemon on
   transcript ${zope_conf:logfiles}/zdaemon-zeo1.log
   socket-name ${zope_conf:logfiles}/zeo1.sock
   # Enable this to run the child process as a different user
-  user kofa
+  # user kofa
 </runner>
Index: /main/waeup.imostate/branches/henrik-diazo-themed/etc/zeo2.conf.in
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/etc/zeo2.conf.in	(revision 11148)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/etc/zeo2.conf.in	(revision 11149)
@@ -1,8 +1,8 @@
 <runner>
-  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo2.pid ${buildout:directory}/parts/etc/zeo2.ini
+  program ${buildout:directory}/bin/paster serve --pid-file ${buildout:directory}/var/zeo2.pid ${buildout:directory}/parts/etc/themed-zeo2.ini
   daemon on
   transcript ${zope_conf:logfiles}/zdaemon-zeo2.log
   socket-name ${zope_conf:logfiles}/zeo2.sock
   # Enable this to run the child process as a different user
-  user kofa
+  # user kofa
 </runner>
Index: /main/waeup.imostate/branches/henrik-diazo-themed/etc/zope_zeo1.conf.in
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/etc/zope_zeo1.conf.in	(revision 11148)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/etc/zope_zeo1.conf.in	(revision 11149)
@@ -24,5 +24,5 @@
 # Uncomment this if you want to connect to a ZEO server instead:
   <zeoclient>
-    server localhost:7040
+    server localhost:7070
     storage 1
     # ZEO client cache, in bytes
@@ -64,5 +64,5 @@
 <zodb async>
   <zeoclient>
-    server localhost:7040
+    server localhost:7070
     storage async
     name async
Index: /main/waeup.imostate/branches/henrik-diazo-themed/etc/zope_zeo2.conf.in
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/etc/zope_zeo2.conf.in	(revision 11148)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/etc/zope_zeo2.conf.in	(revision 11149)
@@ -24,5 +24,5 @@
 # Uncomment this if you want to connect to a ZEO server instead:
   <zeoclient>
-    server localhost:7040
+    server localhost:7070
     storage 1
     # ZEO client cache, in bytes
@@ -64,5 +64,5 @@
 <zodb async>
   <zeoclient>
-    server localhost:7040
+    server localhost:7070
     storage async
     name async
Index: /main/waeup.imostate/branches/henrik-diazo-themed/versions.cfg
===================================================================
--- /main/waeup.imostate/branches/henrik-diazo-themed/versions.cfg	(revision 11148)
+++ /main/waeup.imostate/branches/henrik-diazo-themed/versions.cfg	(revision 11149)
@@ -149,2 +149,5 @@
 # z3c.recipe.staticlxml==0.10
 zc.recipe.cmmi = 1.3.5
+
+# Added by buildout at 2014-02-21 08:41:09.587051
+zc.zodbrecipes = 2.0.0