Index: main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/applicants/browser.py
===================================================================
--- main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/applicants/browser.py	(revision 11151)
+++ main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/applicants/browser.py	(revision 11250)
@@ -35,20 +35,22 @@
     UG_OMIT_PDF_FIELDS,
     UG_OMIT_MANAGE_FIELDS,
-    UG_OMIT_EDIT_FIELDS,
-    PG_OMIT_DISPLAY_FIELDS,
-    PG_OMIT_PDF_FIELDS,
-    PG_OMIT_MANAGE_FIELDS,
-    PG_OMIT_EDIT_FIELDS)
+    UG_OMIT_EDIT_FIELDS)
 from waeup.aaue.applicants.interfaces import (
     ICustomApplicant,
     ICustomUGApplicant,
-    ICustomPGApplicant,
-    ICustomPGApplicantEdit,
-    ICustomUGApplicantEdit)
+    ICustomUGApplicantEdit
+    )
 
-UG_OMIT_PDF_FIELDS = [
-    element for element in UG_OMIT_PDF_FIELDS if not element == 'phone']
+UG_OMIT_PDF_FIELDS = tuple([
+    element for element in UG_OMIT_PDF_FIELDS if not element == 'phone'])
 UG_OMIT_PDF_FIELDS += ('reg_number','alr_fname', 'alr_no', 'alr_date',
     'alr_results', 'notice')
+
+FP_OMIT_FIELDS = ('hq_type', 'hq_fname', 'hq_matric_no',
+     'hq_degree', 'hq_school', 'hq_session', 'hq_disc')
+FP_OMIT_DISPLAY_FIELDS = UG_OMIT_DISPLAY_FIELDS + FP_OMIT_FIELDS
+FP_OMIT_PDF_FIELDS = UG_OMIT_PDF_FIELDS + FP_OMIT_FIELDS
+FP_OMIT_MANAGE_FIELDS = UG_OMIT_MANAGE_FIELDS + FP_OMIT_FIELDS
+FP_OMIT_EDIT_FIELDS = UG_OMIT_EDIT_FIELDS + FP_OMIT_FIELDS
 
 class CustomApplicantDisplayFormPage(NigeriaApplicantDisplayFormPage):
@@ -58,10 +60,9 @@
     @property
     def form_fields(self):
-        if self.target is not None and self.target.startswith('pg'):
-            form_fields = grok.AutoFields(ICustomPGApplicant)
-            for field in PG_OMIT_DISPLAY_FIELDS:
+        form_fields = grok.AutoFields(ICustomUGApplicant)
+        if self.target is not None and self.target.startswith('fp'):
+            for field in FP_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
-            form_fields = grok.AutoFields(ICustomUGApplicant)
             for field in UG_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
@@ -104,10 +105,9 @@
     @property
     def form_fields(self):
-        if self.target is not None and self.target.startswith('pg'):
-            form_fields = grok.AutoFields(ICustomPGApplicant)
-            for field in PG_OMIT_PDF_FIELDS:
+        form_fields = grok.AutoFields(ICustomUGApplicant)
+        if self.target is not None and self.target.startswith('fp'):
+            for field in FP_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
-            form_fields = grok.AutoFields(ICustomUGApplicant)
             for field in UG_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
@@ -128,10 +128,9 @@
     @property
     def form_fields(self):
-        if self.target is not None and self.target.startswith('pg'):
-            form_fields = grok.AutoFields(ICustomPGApplicant)
-            for field in PG_OMIT_MANAGE_FIELDS:
+        form_fields = grok.AutoFields(ICustomUGApplicant)
+        if self.target is not None and self.target.startswith('fp'):
+            for field in FP_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
-            form_fields = grok.AutoFields(ICustomUGApplicant)
             for field in UG_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
@@ -146,10 +145,9 @@
     @property
     def form_fields(self):
-        if self.target is not None and self.target.startswith('pg'):
-            form_fields = grok.AutoFields(ICustomPGApplicantEdit)
-            for field in PG_OMIT_EDIT_FIELDS:
+        form_fields = grok.AutoFields(ICustomUGApplicantEdit)
+        if self.target is not None and self.target.startswith('fp'):
+            for field in FP_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
-            form_fields = grok.AutoFields(ICustomUGApplicantEdit)
             for field in UG_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)